#!/bin/bash
clear
printf "This script will install AstroDMx Capture\n"
printf "This script should be run as root\n" 
printf "Don't run this script if you have installed via RPM or DEB\n"
read -p "Press enter to continue"
mkdir -p /etc/xdg/menus/applications-merged/
cp ../../../etc/xdg/menus/applications-merged/astrodmx.menu /etc/xdg/menus/applications-merged/
cp ../../../etc/udev/rules.d/* /etc/udev/rules.d/
cp -r ../../../usr/share/* /usr/share/
rm -rf /opt/AstroDMx-Capture/*
cp -r ../../../opt/AstroDMx-Capture /opt/
udevadm control --reload-rules
rm -f /usr/share/applications/astrodmx_capture_debug.desktop
printf "\n\nAstroDMx Capture is now installed. See the readme for more information.\n"
printf "If AstroDMx Capture does not show in the menus then logout and log back in.\n\n"

